| revseq

## Function

Reverse and complement a sequence

## Description

This takes a sequence and outputs the reverse complement (also known as the anti-sense or reverse sense) sequence.

It can also output just the reversed sequence or just the complement of the sequence.

## Usage

Here is a sample session with revseq

To create the reverse complement (reverse sense) of 'tembl:x65923' in the file 'x65923.rev':

    % revseq tembl:x65923 x65923.rev
    Reverse and complement a sequence

Go to the input files for this example
Go to the output files for this example

Example 2

To create the complement of 'tembl:x65923' in the file 'x65923.rev':

    % revseq tembl:x65923 x65923.rev -norev
    Reverse and complement a sequence

Go to the output files for this example

Example 3

To create the reverse of 'tembl:x65923' in the file 'x65923.rev':

    % revseq tembl:x65923 x65923.rev -nocomp
    Reverse and complement a sequence

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     (Gapped) nucleotide sequence(s) filename and
                                      optional format, or reference (input USA)
      [-outseq]            seqoutall  [.] Sequence set(s)
                                      filename and optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -[no]reverse        boolean    [Y] Set this to be false if you do not wish
                                      to reverse the output sequence
       -[no]complement     boolean    [Y] Set this to be false if you do not wish
                                      to complement the output sequence

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | (Gapped) nucleotide sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
[-outseq] (Parameter 2) | Sequence set(s) filename and optional format (output USA) | Writeable sequence(s) | <*>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-[no]reverse | Set this to be false if you do not wish to reverse the output sequence | Boolean value Yes/No | Yes
-[no]complement | Set this to be false if you do not wish to complement the output sequence | Boolean value Yes/No | Yes

## Input file format

revseq reads one or more nucleic acid sequence USAs.

### Input files for usage example

'tembl:x65923' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:x65923

    ID   X65923; SV 1; linear; mRNA; STD; HUM; 518 BP.
    XX
    AC   X65923;
    XX
    DT   13-MAY-1992 (Rel. 31, Created)
    DT   18-APR-2005 (Rel. 83, Last updated, Version 11)
    XX
    DE   H.sapiens fau mRNA
    XX
    KW   fau gene.
    XX
    OS   Homo sapiens (human)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Euarchontoglires; Primates; Haplorrhini; Catarrhini; Hominidae;
    OC   Homo.
    XX
    RN   [1]
    RP   1-518
    RA   Michiels L.M.R.;
    RT   ;
    RL   Submitted (29-APR-1992) to the EMBL/GenBank/DDBJ databases.
    RL   L.M.R. Michiels, University of Antwerp, Dept of Biochemistry,
    RL   Universiteisplein 1, 2610 Wilrijk, BELGIUM
    XX
    RN   [2]
    RP   1-518
    RX   PUBMED; 8395683.
    RA   Michiels L., Van der Rauwelaert E., Van Hasselt F., Kas K., Merregaert J.;
    RT   " fau cDNA encodes a ubiquitin-like-S30 fusion protein and is expressed as
    RT   an antisense sequences in the Finkel-Biskis-Reilly murine sarcoma virus";
    RL   Oncogene 8(9):2537-2546(1993).
    XX
    DR   H-InvDB; HIT000322806.
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..518
    FT                   /organism="Homo sapiens"
    FT                   /chromosome="11q"
    FT                   /map="13"
    FT                   /mol_type="mRNA"
    FT                   /clone_lib="cDNA"
    FT                   /clone="pUIA 631"
    FT                   /tissue_type="placenta"
    FT                   /db_xref="taxon:9606"
    FT   misc_feature    57..278
    FT                   /note="ubiquitin like part"
    FT   CDS             57..458
    FT                   /gene="fau"
    FT                   /db_xref="GDB:135476"
    FT                   /db_xref="GOA:P35544"
    FT                   /db_xref="GOA:P62861"
    FT                   /db_xref="HGNC:3597"
    FT                   /db_xref="UniProtKB/Swiss-Prot:P35544"
    FT                   /db_xref="UniProtKB/Swiss-Prot:P62861"
    FT                   /protein_id="CAA46716.1"
    FT                   /translation="MQLFVRAQELHTFEVTGQETVAQIKAHVASLEGIAPEDQVVLLAG
    FT                   APLEDEATLGQCGVEALTTLEVAGRMLGGKVHGSLARAGKVRGQTPKVAKQEKKKKKTG
    FT                   RAKRRMQYNRRFVNVVPTFGKKKGPNANS"
    FT   misc_feature    98..102
    FT                   /note="nucleolar localization signal"
    FT   misc_feature    279..458
    FT                   /note="S30 part"
    FT   polyA_signal    484..489
    FT   polyA_site      509
    XX
    SQ   Sequence 518 BP; 125 A; 139 C; 148 G; 106 T; 0 other;
         ttcctctttc tcgactccat cttcgcggta gctgggaccg ccgttcagtc gccaatatgc        60
         agctctttgt ccgcgcccag gagctacaca ccttcgaggt gaccggccag gaaacggtcg       120
         cccagatcaa ggctcatgta gcctcactgg agggcattgc cccggaagat caagtcgtgc       180
         tcctggcagg cgcgcccctg gaggatgagg ccactctggg ccagtgcggg gtggaggccc       240
         tgactaccct ggaagtagca ggccgcatgc ttggaggtaa agttcatggt tccctggccc       300
         gtgctggaaa agtgagaggt cagactccta aggtggccaa acaggagaag aagaagaaga       360
         agacaggtcg ggctaagcgg cggatgcagt acaaccggcg ctttgtcaac gttgtgccca       420
         cctttggcaa gaagaagggc cccaatgcca actcttaagt cttttgtaat tctggctttc       480
         tctaataaaa aagccactta gttcagtcaa aaaaaaaa                               518
    //

## Output file format

One or more sequences are written out.

### Output files for usage example

### File: x65923.rev

    >X65923 X65923.1 H.sapiens fau mRNA
    ttttttttttgactgaactaagtggcttttttattagagaaagccagaattacaaaagac
    ttaagagttggcattggggcccttcttcttgccaaaggtgggcacaacgttgacaaagcg
    ccggttgtactgcatccgccgcttagcccgacctgtcttcttcttcttcttctcctgttt
    ggccaccttaggagtctgacctctcacttttccagcacgggccagggaaccatgaacttt
    acctccaagcatgcggcctgctacttccagggtagtcagggcctccaccccgcactggcc
    cagagtggcctcatcctccaggggcgcgcctgccaggagcacgacttgatcttccggggc
    aatgccctccagtgaggctacatgagccttgatctgggcgaccgtttcctggccggtcac
    ctcgaaggtgtgtagctcctgggcgcggacaaagagctgcatattggcgactgaacggcg
    gtcccagctaccgcgaagatggagtcgagaaagaggaa

### Output files for usage example 2

### File: x65923.rev

    >X65923 X65923.1 H.sapiens fau mRNA
    aaggagaaagagctgaggtagaagcgccatcgaccctggcggcaagtcagcggttatacg
    tcgagaaacaggcgcgggtcctcgatgtgtggaagctccactggccggtcctttgccagc
    gggtctagttccgagtacatcggagtgacctcccgtaacggggccttctagttcagcacg
    aggaccgtccgcgcggggacctcctactccggtgagacccggtcacgccccacctccggg
    actgatgggaccttcatcgtccggcgtacgaacctccatttcaagtaccaagggaccggg
    cacgaccttttcactctccagtctgaggattccaccggtttgtcctcttcttcttcttct
    tctgtccagcccgattcgccgcctacgtcatgttggccgcgaaacagttgcaacacgggt
    ggaaaccgttcttcttcccggggttacggttgagaattcagaaaacattaagaccgaaag
    agattattttttcggtgaatcaagtcagtttttttttt

### Output files for usage example 3

### File: x65923.rev

    >X65923 X65923.1 H.sapiens fau mRNA
    aaaaaaaaaactgacttgattcaccgaaaaaataatctctttcggtcttaatgttttctg
    aattctcaaccgtaaccccgggaagaagaacggtttccacccgtgttgcaactgtttcgc
    ggccaacatgacgtaggcggcgaatcgggctggacagaagaagaagaagaagaggacaaa
    ccggtggaatcctcagactggagagtgaaaaggtcgtgcccggtcccttggtacttgaaa
    tggaggttcgtacgccggacgatgaaggtcccatcagtcccggaggtggggcgtgaccgg
    gtctcaccggagtaggaggtccccgcgcggacggtcctcgtgctgaactagaaggccccg
    ttacgggaggtcactccgatgtactcggaactagacccgctggcaaaggaccggccagtg
    gagcttccacacatcgaggacccgcgcctgtttctcgacgtataaccgctgacttgccgc
    cagggtcgatggcgcttctacctcagctctttctcctt

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

Bugs noted but not yet fixed.

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
codcopy | Reads and writes a codon usage table
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Creates random nucleotide sequences
makeprotseq | Creates random protein sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Exclude a set of sequences and write out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None